%define rname Cairo
%define modname cairo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A98_%{modname}.ini

Summary:	Cairo Graphics Library Extension
Name:		php-%{modname}
Version:	0.3.2
Release:	%mkrel 19
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/Cairo/
Source0:	http://pecl.php.net/get/%{rname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	pkgconfig
BuildRequires:	cairo-devel >= 1.4
# share the same symbol table, one cannot be loaded when the other is in
Conflicts: php-cairo_wrapper

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, Quartz, Win32,
image buffers, PostScript, PDF, and SVG file output.

%prep

%setup -q -n %{rname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS IGNORED README SYMBOLS TODO package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.3.2-19.mga6
+ Revision: 958297
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.2-18.mga5
+ Revision: 743791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.2-17.mga5
+ Revision: 687107
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.3.2-16.mga5
+ Revision: 616539
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.3.2-15.mga4
+ Revision: 567660
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 0.3.2-14.mga4
+ Revision: 527785
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 0.3.2-13.mga4
+ Revision: 442623
- rebuilt for php-5.5.0RC3

* Thu Jun 06 2013 spuhler <spuhler> 0.3.2-12.mga4
+ Revision: 437873
- rebuild against new gtk libs

* Wed Jan 30 2013 oden <oden> 0.3.2-11.mga3
+ Revision: 393251
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-10.mga3
+ Revision: 375720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 0.3.2-9.mga3
+ Revision: 271095
- Ooops, wrong version
- upgrade to 0.3.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.0-9.mga2
+ Revision: 223869
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.2.0-8.mga2
+ Revision: 185090
- rebuild against php-5.3.9
  upgrade to 1.0.2

  + misc <misc>
    - fix usage when both php-cairo and php-cairo_wrapper are installed,
      as this result in a crash of the web server

* Sun Feb 06 2011 spuhler <spuhler> 0.2.0-6.mga1
+ Revision: 47752
- removed buildroot definition from .spec
- imported package php-cairo


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdv2011.0
+ Revision: 629770
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdv2011.0
+ Revision: 628072
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdv2011.0
+ Revision: 600466
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdv2011.0
+ Revision: 588748
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2010.1
+ Revision: 514522
- rebuilt for php-5.3.2

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2010.1
+ Revision: 506531
- 0.2.0

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 485344
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.1
+ Revision: 468149
- rebuilt against php-5.3.1

* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
+ Revision: 452904
- import php-cairo


* Sat Oct 03 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.0
- initial Mandriva package
